package cn.teammodel.model.dto.admin.exam;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AnalysisDto {
    @ApiModelProperty("学校编码")
    private String code;
    @ApiModelProperty("当前学校指定学段")
    private String period;
    @ApiModelProperty("当前评测活动所属范围，目前制定查询属于学校的数据，直接传 school")
    private String owner;
    @ApiModelProperty("指定查询的条数，为了后续滚动翻页")
    private int count;
    @ApiModelProperty("翻页参数，后续滚动翻页回传给后端，没有就不管")
    private String token;
    @ApiModelProperty("开始时间")
    private Long startTime;
    @ApiModelProperty("结束时间")
    private Long endTime;
}
