package cn.teammodel.repository;

import cn.teammodel.model.entity.common.Comment;
import cn.teammodel.model.entity.school.School;
import com.azure.cosmos.models.CosmosPatchOperations;
import com.azure.cosmos.models.PartitionKey;
import com.azure.spring.data.cosmos.repository.CosmosRepository;
import com.azure.spring.data.cosmos.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CommentRepository extends CosmosRepository<Comment, String> {
    @Query("select * from Comment as s where s.id = @id and s.pk = 'Comment' and s.school = @school and s.activityType = @activityType and s.code = @code ")
    List<Comment> findById(@Param("id") String id, @Param("school") String school,@Param("activityType") String activityType,@Param("code") String code);

}
